spring:
  profiles:
    active: dev
    base: com.artfess.sysConfig.controller
    title: "@@project.name@@"
    description: "@@project.description@@"
    version: "@@project.version@@"
    platform: mysql
  datasource:
    name: dev
    username: cqgs
    password: artfess@023,.;
    url: jdbc:mysql://121.36.82.203:3166/eipsaas?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull&autoReconnect=true&failOverReadOnly=false&maxReconnects=10

    # 使用druid数据源
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    maxPoolPreparedStatementPerConnectionSize: 20
    connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
    
# Server settings (ServerProperties)
server:
  port: 8091
  address: 0.0.0.0
  sessionTimeout: 30
  contextPath: /
  session:
    timeout: 30